blacklist old geforce fx cards for unity-3d

Bug #769402 reported by nssenel
50
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Didier Roche
Unity
Fix Released
Medium
Didier Roche
nux (Ubuntu)
Medium
Didier Roche
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

After last package update, there is no icons on unity sidebar. I am able to use and launch but can't see the icons.

Ubuntu 11.04 Natty Narwhal

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.10-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sat Apr 23 11:41:45 2011
DistUpgraded: Log time: 2011-04-06 01:37:04.551581
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard: nVidia Corporation NV34 [GeForce FX 5200] [10de:0322] (rev a1) (prog-if 00 [VGA controller])
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia__: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lsusb:
 Bus 003 Device 002: ID 0603:00f2 Novatek Microelectronics Corp.
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=6ed443ac-f9c3-4cda-87c9-9ee244d3ec8f ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-04-05 (17 days ago)
dmi.bios.date: 08/26/2005
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: NF3250(G)K8AA
dmi.board.vendor: Winfast
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd08/26/2005:svn:pn:pvr:rvnWinfast:rnNF3250(G)K8AA:rvr:cvn:ct3:cvr:
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.2-0ubuntu2
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Revision history for this message
nssenel (enes) wrote :
nssenel (enes)
Changed in unity (Ubuntu):
status: New → Incomplete
Revision history for this message
Sebastien Bacher (seb128) wrote :

thank you for your bug report, bug #768178 suggests that geforce fx cards are not really supported for unity though

Changed in unity (Ubuntu):
status: Incomplete → New
Revision history for this message
nssenel (enes) wrote :

i hope there will be a patch for geforce fx cards. what should we do for now?

Revision history for this message
Alex Launi (alexlauni) wrote :

Use unity-2d

Changed in unity:
status: New → Invalid
Revision history for this message
Alex Launi (alexlauni) wrote :

If this card is unsupported, then it should get a fallback vs. a buggy unity

Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
status: New → Confirmed
Didier Roche (didrocks)
Changed in unity:
status: Invalid → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

Alex, the blacklist is in dx components.

Changed in unity (Ubuntu):
assignee: Didier Roche (didrocks) → nobody
Changed in unity:
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Revision history for this message
Fran (frbastida) wrote :

Related to nvidia-173 driver and nouveau

David Barth (dbarth)
Changed in unity:
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Jay Taoko (jaytaoko)
Changed in unity (Ubuntu):
assignee: nobody → Jay Taoko (jaytaoko)
summary: - unity sidebar is black after update
+ blacklist old geforce fx cards for unity-3d
Changed in unity:
milestone: none → 4.4.0
David Barth (dbarth)
Changed in unity:
importance: Undecided → Medium
importance: Medium → Low
Didier Roche (didrocks)
Changed in unity:
milestone: 4.4.0 → 4.6.0
Jay Taoko (jaytaoko)
Changed in unity:
status: Confirmed → Invalid
Changed in unity (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Confirmed
Didier Roche (didrocks)
Changed in unity:
status: Invalid → Confirmed
Didier Roche (didrocks)
Changed in unity:
milestone: 4.6.0 → 4.8.0
description: updated
Revision history for this message
Omer Akram (om26er) wrote :

This needs to be fixed as unity as people with these cards get nothing at all as unity support test think these cards are supported but unity does not start at all for some people with gefore fx 5200 for example

Changed in unity:
milestone: 4.8.0 → 4.14.0
importance: Low → Medium
Didier Roche (didrocks)
Changed in unity:
milestone: 4.14.0 → 4.16.0
Didier Roche (didrocks)
Changed in unity:
milestone: 4.16.0 → 4.18.0
Didier Roche (didrocks)
Changed in unity:
milestone: 4.18.0 → 4.20.0
Neil J. Patel (njpatel)
Changed in unity:
assignee: Jay Taoko (jaytaoko) → Didier Roche (didrocks)
Changed in unity (Ubuntu):
assignee: Jay Taoko (jaytaoko) → Didier Roche (didrocks)
Didier Roche (didrocks)
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks)
Changed in unity:
status: Fix Committed → Fix Released
Didier Roche (didrocks)
affects: unity (Ubuntu) → nux (Ubuntu)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 1.14.0-0ubuntu1

---------------
nux (1.14.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in nux::WindowCompositor::FindKeyFocusArea()
      (LP: #845873)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #831769)
    - can't maximize windows on second monitor and Qt windows displayed in
      wrong place (LP: #861341)
    - Dash - Dash should support drag and drop to external applications
      (LP: #857431)
    - Dash - When the Dash is re-opened and statefully displaying a previous
      query, it should be possible to add to the query by pressing the 'right
      arrow cursor key' (LP: #841828)
    - blacklist old geforce fx cards for unity-3d (LP: #769402)
  * debian/control:
    - build-dep on libxinerama-dev
 -- Didier Roche <email address hidden> Thu, 29 Sep 2011 18:46:45 +0200

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
Changed in nux:
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers